For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
            • GETList Transactions
              • POSTCapture Order Payment
              • POSTVoid
              • POSTCreate Refund Quote
              • GETList Refunds for Order
              • POSTCreate Refund
              • GETGet Refund
              • GETList Refunds
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrder OperationsPayment Actions

Create Refund

POST
https://api.bigcommerce.com/stores/:store_hash/v3/orders/:order_id/payment_actions/refunds
POST
/stores/:store_hash/v3/orders/:order_id/payment_actions/refunds
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/orders/1/payment_actions/refunds \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "tax_adjustment_amount": 5.75
>}'
1{
2 "data": {
3 "id": 1024,
4 "order_id": 5678,
5 "user_id": 4321,
6 "created": "2024-04-20T14:45:00Z",
7 "reason": "Customer returned damaged item",
8 "total_amount": 5.75,
9 "total_tax": 0.5,
10 "uses_merchant_override_values": true,
11 "items": [
12 {
13 "item_type": "PRODUCT",
14 "item_id": 987,
15 "reason": "Item was defective",
16 "quantity": 1,
17 "adjustments": [
18 {
19 "amount": -2,
20 "description": "Restocking fee"
21 }
22 ],
23 "requested_amount": 5.75
24 }
25 ],
26 "payments": [
27 {
28 "id": 2048,
29 "provider_id": "storecredit",
30 "amount": 5.75,
31 "offline": true,
32 "is_declined": false,
33 "declined_message": "",
34 "transaction_id": "TXN789456123"
35 }
36 ]
37 },
38 "meta": {}
39}
Creates a refund. When there are no payment method validation issues, the refund process is successful and the refund payment request is scheduled. The payment request itself occurs asynchronously. Requires at least one of the following scopes: * `store_v2_orders` * `store_v2_transactions` **Note:** Order refunds should be processed sequentially. Processing multiple concurrent refunds on the same order are not yet supported.
Was this page helpful?
Previous

List Refunds for Order

Next

Get Refund

Built with

Creates a refund. When there are no payment method validation issues, the refund process is successful and the refund payment request is scheduled. The payment request itself occurs asynchronously.

Requires at least one of the following scopes:

  • store_v2_orders
  • store_v2_transactions

Note: Order refunds should be processed sequentially. Processing multiple concurrent refunds on the same order are not yet supported.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Transactions | read and modify `transactions` and `payment_methods` | `store_v2_transactions` | | Order Transactions | read `transactions` and `payment_methods` | `store_v2_transactions_read_only` | | Orders | read and modify `payment_methods` |`store_v2_orders`| | Orders | read `payment_methods` |`store_v2_orders_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired

The ID of the Order to which the transactions belong.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

transaction_idstringOptional

Filters by refund payment using the BigCommerce transaction_id.

Request

This endpoint expects an object.
Items RefundobjectRequired
OR
Tax Adjustment RefundobjectRequired

Response

dataobject
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error
503
Service Unavailable Error

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.